package me.ChrisvA.MinecartExtra;

import java.util.HashMap;
import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;



public class MinecartExtraString {

	MinecartExtra plugin;
	
	public enum LangString {
		NO_PERMISSION, COLLECT_MINECARTS, MINECART_ADD_SUCC, MINECART_ALREADY_ADDED, MINCART_LEFT_KLICK,LANG
	}
	
	private HashMap<LangString, String> msg; 
	
	public MinecartExtraString (MinecartExtra plugin, String lang){
		this.plugin = plugin; 
		
		msg = new HashMap<LangString, String>();
		ResourceBundle res;
		
		if(lang.equalsIgnoreCase("default")){
			res = ResourceBundle.getBundle("lang.msg");
		}else{
			this.plugin.getLogger().info("Language defined by User: " + lang);
			Locale loc = new Locale(lang);
			res = ResourceBundle.getBundle("lang.msg", loc);
		}


		for (LangString lstr : LangString.values()){
			try{
				msg.put(lstr, res.getString(lstr.toString()));
				}
			catch (MissingResourceException e){
				this.plugin.getLogger().warning("Corrupt language File, missing " + lstr.toString());
				msg.put(lstr, lstr.toString());
			}
			
		}
	}
	
	public String getNoPermissions(){
		return getStr(LangString.NO_PERMISSION);
		//return "You don't have enought permissions.";
	}
	
	public String getCollectMinecarts(){
		return getStr(LangString.COLLECT_MINECARTS);
		//return "Collect Minecarts";
	}
	
	public String getMinecartAddSucc(){
		return getStr(LangString.MINECART_ADD_SUCC);
		//return "Collecting Minecart added sccesfully.";
	}
	public String getMincartAlreadyAdded(){
		return getStr(LangString.MINECART_ALREADY_ADDED);
		//return "This Minecart is already added.";
	}
	public String getLeftKlickAMinecart(){
		return getStr(LangString.MINCART_LEFT_KLICK);
		//return "Left klick a Minecart to convert it.";
	}
	
	public String getLanguage(){
		return getStr(LangString.LANG);
	}
	
	public String getStr(LangString lstr){
		return msg.get(lstr);
	}
}
